<?php
/******************************************************************************/
//                                                                            //
//                             InstantCMS v1.8                                //
//                        http://www.instantcms.ru/                           //
//                                                                            //
//                   written by InstantCMS Team, 2007-2011                    //
//                produced by InstantSoft, (www.instantsoft.ru)               //
//                                                                            //
//                        LICENSED BY GNU/GPL v2                              //
//                                                                            //
/******************************************************************************/

class p_golos extends cmsPlugin {

// ==================================================================== //

    public function __construct(){
        
        parent::__construct();
        //   
        $this->info['plugin']           = 'p_golos';
        $this->info['title']            = '  ';
        $this->info['description']      = ' ,  ,   ';
        $this->info['author']           = 'M .';
        $this->info['version']          = '1.0';
        // ,    
        $this->events[]                 = 'GET_ARTICLE';
    }
// ==================================================================== //
    /**
     *   
     * @return bool
     */
    public function install(){

        return parent::install();

    }
// ==================================================================== //
    /**
     *   
     * @return bool
     */
    public function upgrade(){

        return parent::upgrade();

    }
// ==================================================================== //
    /**
     *  
     * @param string $event
     * @param mixed $item
     * @return mixed
     */
    public function execute($event, $item){

        parent::execute();

        switch ($event){
            case 'GET_ARTICLE': $item = $this->eventGetArticle($item); break;
        }

        return $item;

    }

// ==================================================================== //

    private function eventGetArticle($item) {

        $inDB = cmsDatabase::getInstance();
$item_id 	= $item['id'];
        $sql = "SELECT u.id as id,
                       u.login as login,
                       u.nickname as nickname,
                       u.is_deleted as is_deleted, 
                       p.imageurl as imageurl,
                       r.points as points
                FROM cms_ratings r
                LEFT JOIN cms_users u ON u.id = r.user_id
                LEFT JOIN cms_user_profiles p ON p.user_id = r.user_id
                WHERE r.item_id = '$item_id' AND r.target='content'";

        $result = $inDB->query($sql);

if (!function_exists('usrImageNOdb')){
            include_once($_SERVER['DOCUMENT_ROOT'].'/components/users/includes/usercore.php');
        }
        $html='';
        $minus='';
        while($usr = $inDB->fetch_assoc($result)){
          if ( $usr['points'] == 1) { 
           $plus = $usr['points'] == '1';
          $html.='<div class="list-user">'.
                 '<div class="avatar">'.
                    $usr['usrimage']   = usrImageNOdb($usr['id'], 'small', $usr['imageurl'], $usr['is_deleted']).
                 '</div>'.
                 '<div class="name">'.
                 '<a href="'.$usr['profileurl'] = cmsUser::getProfileURL($usr['login']).'">'.$usr['nickname'].'</a>'.
                 '</div>'.
                 '</div>';
          } else {
          $minuss = $usr['points'] == '-1';
                 $minus.='<div class="list-user">'.
                  '<div class="avatar">'.
                      $usr['usrimage']   = usrImageNOdb($usr['id'], 'small', $usr['imageurl'], $usr['is_deleted']).
                  '</div>'.
                  '<div class="name">'.
                  '<a href="'.$usr['profileurl'] = cmsUser::getProfileURL($usr['login']).'">'.$usr['nickname'].'</a>'.
                  '</div>'.
                  '</div>';
          }
        }

$point ='';
  if( $plus != '' || $minuss != '' ) { //      
  $point .='<div class="spltitle"><a href="javascript://" class="splLink" title="  ">: (+ | -)</a><div class="splCont"><div class="userslist">';
        if ( $plus != '') {$point .= '<div class="list-plus"><div class="list-title">:</div>'.$html.'</div>';}
        if ( $minuss != '') {$point .= '<div class="list-minus"><div class="list-title"> :</div>'.$minus.'</div>';}
  $point .='<div class="clear">&nbsp;</div></div></div></div>';      
  }
  
      $item['content'] .= $point;
        return $item;
    }
    

// ==================================================================== //

}

?>
